# Usage: lscontainer container_1537193066945_0202_01_000002
# Ex. Output:
#     Hostname : ip-172-28-115-100 || InstanceID : i-09da76008179f44ff

function lscontainer() {
    containerID=$1
    containerHostname=$(sift -riz --no-filename --ipath=resourcemanager -e "assigned container $containerID" | sift --only-matching -e "ip-(\d|-)+")
    ICLog=$(sift -rizl --limit=1 --file-matches=InstanceJointStatusMap --ipath=daemons/instance-controller $containerHostname | sort | tail -1)
    containerInstanceID=$(sift -riz --limit=1 $containerHostname $ICLog | awk '{print $1}')
    echo Hostname : $containerHostname \|\| InstanceID : $containerInstanceID
}
